.search {
	background-color: var(--search-background);
}

.search__container {
	margin-top: -3px;
	min-height: 80vh;
	padding: 40px 0;
}

.search__text {
	margin-top: 10px;
	text-align: justify;
}

.search__form-container {
	align-items: center;
	display: flex;
	gap: 64px;
	margin-top: 30px;
}

.search__form {
	background: var(--search-background);
	border-radius: 20px;
	flex-basis: 55%;
}

.search__progress-bar {
	position: relative;
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	min-height: 40px;
}

.progress-bar__line {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	width: 50%;
	height: 7px;
	background: var(--progress-bar-color);
}

.progress-bar__radio {
	position: relative;
}

.progress-bar__input {
	appearance: none;
	position: absolute;
}

.progress-bar__label {
	cursor: pointer;
}

.progress-bar__label::before {
	content: '';
	display: block;
	width: 35px;
	height: 35px;
	border: 1px solid var(--progress-bar-color);
	border-radius: 50%;
	background-color: var(--progress-bar-color);
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	left: 0;
	z-index: 1;
	transition: border-color 0.5s ease, scale 0.5s ease;
}

.progress-bar__input:checked + .progress-bar__label::before {
	border-color: var(--progress-bar-color);
	background-color: var(--progress-bar-color);
	scale: 1.1;
}

.progress-bar__input:hover + .progress-bar__label::before {
	border-color: var(--progress-bar-color);
	scale: 1.1;
}

.progress-bar__label::after {
	content: '';
	display: block;
	width: 28px;
	height: 28px;
	border-radius: 50%;
	background-color: var(--progress-bar-active-color);
	position: absolute;
	top: 50%;
	transform: translate(-50%, -50%);
	left: 0;
	z-index: 1;
	opacity: 0;
	transition: scale 0.5s ease;
}

.progress-bar__input:checked + .progress-bar__label::after {
	opacity: 1;
	scale: 1.1;
}

.progress-bar__input:hover + .progress-bar__label::after {
	scale: 1.1;
}

.search__step {
	margin-top: 10px;
	min-height: 300px;
	animation: open 0.5s 1 normal ease-out forwards;
}

@keyframes open {
	0% {
		transform: translate(-3%, -1%);
		opacity: 0;
		visibility: hidden;
	}
	100% {
		transform: translate(0, 0);
		opacity: 1;
		visibility: visible;
	}
}

.search__legend {
	padding-left: 15px;
}

.search__input-container {
	position: relative;
	margin-top: 20px;
}

.search__input-container:first-of-type {
	margin-top: 30px;
}

.search__input {
	padding: 15px;
	border-radius: 20px;
	color: var(--input-color);
	width: 100%;
	background-color: var(--input-background-color);
}

.search__cut {
	position: absolute;
	height: 30px;
	border-radius: 30px;
	background: var(--search-background);
	top: -15px;
	left: 45px;
	opacity: 0;
	transition-property: opacity;
	transition-duration: 0.5s;
	transition-timing-function: ease-in-out;
}

.search__cut_short {
	width: 65px;
}

.search__cut_medium {
	width: 110px;
}

.search__cut_long {
	width: 220px;
}

.search__placeholder {
	position: absolute;
	top: 50%;
	left: 20px;
	transform: translateY(-50%);
	min-width: 150px;
	color: var(--input-color);
	user-select: none;
	transition: transform 0.5s ease-out, color 0.3s ease-out;
}

.search__input:hover ~ .search__placeholder {
	color: var(--input-hover-color);
}

.search__input:focus ~ .search__placeholder,
.search__input:not(:placeholder-shown) ~ .search__placeholder {
	transform: translateY(-43px) translateX(20px) scale(0.75);
}

.search__input:focus ~ .search__cut,
.search__input:not(:placeholder-shown) ~ .search__cut {
	opacity: 1;
}

.search__input:focus ~ .search__placeholder {
	color: var(--input-hover-color);
}

.search__buttons {
	margin-top: 30px;
	display: flex;
	justify-content: end;
	gap: 20px;
}

.search__image-wrapper {
	flex-basis: 45%;
	position: relative;
}

.search__image {
	pointer-events: none;
}

@media (min-width: 1200px) {
}

@media (min-width: 992px) and (max-width: 1199.98px) {
}

@media (max-width: 991.98px) {
	.search__form-container {
		align-items: stretch;
		flex-direction: column-reverse;
	}

	.search__image-wrapper {
		max-width: 80%;
		align-self: center;
		margin-top: 40px;
	}

	.search__form {
		margin-top: -50px;
	}

	.search__input:focus ~ .search__placeholder,
	.search__input:not(:placeholder-shown) ~ .search__placeholder {
		transform: translateY(-35px) translateX(24px) scale(0.75);
	}
}

@media (max-width: 767.98px) {
	.search__buttons {
		justify-content: space-between;
		margin-top: 10px;
	}
}

@media (min-width: 320px) and (max-width: 479.98px) {
}

.search__orange-button.disabled {
	pointer-events: none;
}

.search__orange-counter {
	position: absolute;
	left: 50%;
	top: 37.9%;
	border-radius: 10px;
	text-align: center;
	background: var(--orange-counter-color);
}

.search__orange-image {
	position: absolute;
	left: 47.5%;
	top: 31%;
	transition: left 0.1s linear, top 0.1s linear;
}

.search__orange-image.active {
	z-index: 1;
}

@media (min-width: 1200px) {
	.search__orange-image {
		width: 81px;
	}
}

@media (min-width: 992px) and (max-width: 1199.98px) {
	.search__orange-image {
		width: 67px;
	}
}

@media (min-width: 768px) and (max-width: 991.98px) {
	.search__orange-image {
		width: 95px;
	}
}

@media (min-width: 480px) and (max-width: 767.98px) {
	.search__orange-image {
		width: 62px;
	}
}

@media (min-width: 300px) and (max-width: 479.98px) {
	.search__orange-image {
		width: 40px;
		top: 29%;
	}
}

@media (max-width: 299.98px) {
	.search__orange-image {
		display: none;
	}
}

@media (min-width: 1200px) {
	.search__orange-counter {
		width: 58px;
	}
}

@media (min-width: 992px) and (max-width: 1199.98px) {
	.search__orange-counter {
		width: 46px;
		font-size: 20px;
		top: 37%;
	}
}

@media (min-width: 768px) and (max-width: 991.98px) {
	.search__orange-counter {
		width: 67px;
		top: 39%;
		line-height: 2;
	}
}

@media (min-width: 480px) and (max-width: 767.98px) {
	.search__orange-counter {
		width: 43px;
		top: 38%;
		font-size: 16px;
	}
}

@media (min-width: 300px) and (max-width: 479.98px) {
	.search__orange-counter {
		top: 36%;
		width: 28px;
		font-size: 10px;
	}
}

@media (max-width: 299.98px) {
	.search__orange-counter {
		display: none;
	}
}

@media (max-width: 991.98px) or (max-height: 770px) {
	.search__container {
		min-height: auto;
	}
}

.search__pop-up {
	z-index: 2;
	display: none;
	position: relative;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	position: absolute;
	width: 80%;
	background-color: var(--pop-up-background-color);
	max-height: 90%;
	border-radius: 10px;
	padding: 20px;
	color: var(--pop-up-color);
	overflow: hidden auto;
	word-break: break-word;
	word-wrap: break-word;
}

.search__pop-up.active {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.search__pop-up-title {
	text-align: center;
	width: 85%;
	padding: 10px;
	background: var(--pop-up-title-background-color);
	color: var(--pop-up-title-color);
	border-radius: 5px;
}

.search__pop-up-text {
	margin-top: 20px;
	font-size: 20px;
}

.search__pop-up-image {
	max-width: 50%;
	padding: 10px 0 5px;
}

.search__pop-up-button {
	top: 0;
	right: 0;
	position: absolute;
	z-index: 999;
	width: 30px;
	height: 30px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.search__pop-up-button-icon {
	display: block;
	position: relative;
	width: 40px;
	height: 5px;
}

.search__pop-up-button-icon::after,
.search__pop-up-button-icon::before {
	position: absolute;
	content: '';
	width: 25px;
	height: 5px;
	background-color: var(--pop-up-button-color);
	left: 0;
	top: 0;
}

.search__pop-up-button-icon::before {
	transform: rotate(45deg);
}

.search__pop-up-button-icon::after {
	transform: rotate(-45deg);
}

@media (min-width: 300px) and (max-width: 767.98px) {
	.search__pop-up.active {
		width: 90%;
	}
}

@media (max-width: 299.98px) {
	.search__pop-up.active {
		display: none;
	}
}

.search__fake-orange-image {
	position: absolute;
	left: 48%;
	top: 31%;
	transition: left 0.1s linear, top 0.1s linear;
	opacity: 0.8;
	pointer-events: none;
	display: none;
}

.search__fake-orange-image.active {
	z-index: 1;
}

@media (min-width: 1200px) {
	.search__fake-orange-image {
		width: 75px;
	}
}

@media (min-width: 992px) and (max-width: 1199.98px) {
	.search__fake-orange-image {
		width: 60px;
	}
}

@media (min-width: 768px) and (max-width: 991.98px) {
	.search__fake-orange-image {
		width: 90px;
	}
}

@media (min-width: 480px) and (max-width: 767.98px) {
	.search__fake-orange-image {
		width: 52px;
	}
}

@media (min-width: 300px) and (max-width: 479.98px) {
	.search__fake-orange-image {
		width: 33px;
	}
}

@media (max-width: 299.98px) {
	.search__fake-orange-image {
		display: none;
	}
}

.search__fake-orange-image.active {
	display: block;
}

@media (max-width: 991.98px) or (max-height: 770px) {
	.search__container {
		min-height: auto;
	}
}

@media (min-width: 992px) and (min-height: 630px) and (max-height: 770px) {
	.search__container {
		padding: 0;
	}

	.search__text {
		margin-top: 0;
		font-size: 20px;
	}

	.search__form-container {
		margin-top: 10px;
	}

	.search__buttons {
		margin-top: 10px;
	}

	.search__input-container:first-of-type {
		margin-top: 10px;
	}
}

.test {
	color: #067bc0;
}

#mini-nav {
	height: 30px;
	margin-bottom: 25px;
	background: #f5f5f5;
}
#mini-nav > div {
	line-height: 30px;
	direction: ltr;
}

#mini-nav #lang-switcher {
	cursor: default;
	height: 30px;
	padding: 0px 10px;
	border: 0px;
	background-color: transparent;
	float: right;
}

#mini-nav #lang-switcher-list {
	overflow-y: scroll;
	max-height: 90vh;
}

#mini-nav #lang-switcher:hover {
	background-color: #ddd;
}
